---
title: WorkerGlobalScope.onerror
slug: Web/API/WorkerGlobalScope/onerror
tags:
  - API
  - EventHandler
  - Property
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
  - onerror
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <strong><code>onerror</code></strong> property of the {{domxref("WorkerGlobalScope")}} interface represents an {{domxref("EventHandler")}} to be called when the {{event("error")}} event occurs and bubbles through the {{domxref("Worker")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre>self.onerror = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following code snippet shows an <code>onerror</code> handler set inside a worker:</p>

<pre class="brush: js">self.onerror = function() {
  console.log('There is an error inside your worker!');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#handler-workerglobalscope-onerror", "WorkerGlobalScope.onerror")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.onerror")}}</p>

<h2 id="See_also">See also</h2>

<p>The {{domxref("WorkerGlobalScope")}} interface it belongs to.</p>
